%define        libname  lib%{name}

Name:          x264
Version:       20171025
Release:       1mamba
Epoch:         1
Summary:       A free H264/AVC encoder
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           http://www.videolan.org/developers/x264.html
Source:        ftp://ftp.videolan.org/pub/videolan/x264/snapshots/x264-snapshot-%{version}-2245-stable.tar.bz2
License:       GPL
BuildRequires: nasm
BuildRequires: libgtk-devel
BuildRequires: libX11-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A H264/AVC video decoder and encoder.

%package -n %{libname}
Summary:       A free library for encoding H264/AVC video streams
Group:         System/Libraries

%description -n %{libname}
x264 is a free library for encoding H264/AVC video streams.

%package -n %{libname}-devel
Summary:       Static libraries and headers for %{libname}
Group:         Development/Libraries

%description -n %{libname}-devel
x264 is a free library for encoding H264/AVC video streams.

This package contains static libraries and header files need for development.

%prep
%setup -q -n %{name}-snapshot-%{version}-2245-stable

%build
%configure \
  --enable-visualize \
  --enable-pic \
  --enable-shared \
  --extra-cflags="%{optflags}" \
  --host=%{_host}

#  --enable-pthread \
#  --enable-gtk \
# FIXME: --enable-mp4-output need gpac

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post   -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/*
#%{_datadir}/%{name}
%doc AUTHORS COPYING doc/*.txt

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Thu Oct 26 2017 Automatic Build System <autodist@mambasoft.it> 20171025-1mamba
- automatic update by autodist

* Tue Sep 20 2016 Automatic Build System <autodist@mambasoft.it> 20160919-1mamba
- automatic update by autodist

* Thu Sep 01 2016 Automatic Build System <autodist@mambasoft.it> 20160831-1mamba
- automatic update by autodist

* Fri Feb 05 2016 Automatic Build System <autodist@mambasoft.it> 20160204-1mamba
- automatic update by autodist

* Sun Jul 05 2015 Automatic Build System <autodist@mambasoft.it> 20150704-1mamba
- automatic update by autodist

* Sat Jan 03 2015 Automatic Build System <autodist@mambasoft.it> 20141218-1mamba
- automatic update by autodist

* Thu Dec 04 2014 Automatic Build System <autodist@mambasoft.it> 20141204-1mamba
- automatic update by autodist

* Wed Nov 05 2014 Automatic Build System <autodist@mambasoft.it> 20141104-1mamba
- automatic update by autodist

* Sat Nov 01 2014 Automatic Build System <autodist@mambasoft.it> 20141031-1mamba
- automatic update by autodist

* Mon Oct 27 2014 Automatic Build System <autodist@mambasoft.it> 20141026-1mamba
- automatic update by autodist

* Wed Oct 22 2014 Automatic Build System <autodist@mambasoft.it> 20141021-1mamba
- automatic update by autodist

* Sat Oct 18 2014 Automatic Build System <autodist@mambasoft.it> 20141017-1mamba
- automatic update by autodist

* Tue Oct 14 2014 Automatic Build System <autodist@mambasoft.it> 20141013-1mamba
- automatic update by autodist

* Sat Sep 20 2014 Automatic Build System <autodist@mambasoft.it> 20140919-1mamba
- automatic update by autodist

* Fri Aug 08 2014 Automatic Build System <autodist@mambasoft.it> 20140807-1mamba
- automatic update by autodist

* Thu Jul 17 2014 Automatic Build System <autodist@mambasoft.it> 20140716-1mamba
- automatic update by autodist

* Sat Jun 21 2014 Automatic Build System <autodist@mambasoft.it> 20140620-1mamba
- automatic update by autodist

* Tue Jun 17 2014 Automatic Build System <autodist@mambasoft.it> 20140616-1mamba
- automatic update by autodist

* Thu Jun 12 2014 Automatic Build System <autodist@mambasoft.it> 20140611-1mamba
- automatic update by autodist

* Tue Jun 03 2014 Automatic Build System <autodist@mambasoft.it> 20140603-1mamba
- automatic update by autodist

* Fri May 30 2014 Automatic Build System <autodist@mambasoft.it> 20140529-1mamba
- automatic update by autodist

* Mon May 26 2014 Automatic Build System <autodist@mambasoft.it> 20140525-1mamba
- automatic update by autodist

* Sun Nov 17 2013 Automatic Build System <autodist@mambasoft.it> 20131030-1mamba
- automatic version update by autodist

* Tue Sep 10 2013 Automatic Build System <autodist@mambasoft.it> 20130909-1mamba
- automatic update by autodist

* Sun Sep 01 2013 Automatic Build System <autodist@mambasoft.it> 20130831-1mamba
- automatic update by autodist

* Mon Aug 26 2013 Automatic Build System <autodist@mambasoft.it> 20130825-1mamba
- automatic update by autodist

* Thu Aug 01 2013 Automatic Build System <autodist@mambasoft.it> 20130702-1mamba
- automatic version update by autodist

* Wed Jun 26 2013 Automatic Build System <autodist@mambasoft.it> 20130626-1mamba
- automatic version update by autodist

* Tue Jun 11 2013 Automatic Build System <autodist@mambasoft.it> 20130610-1mamba
- automatic version update by autodist

* Tue May 28 2013 Automatic Build System <autodist@mambasoft.it> 20130527-1mamba
- automatic update by autodist

* Tue Apr 16 2013 Automatic Build System <autodist@mambasoft.it> 20130415-1mamba
- automatic version update by autodist

* Tue Apr 02 2013 Automatic Build System <autodist@mambasoft.it> 20130401-1mamba
- automatic version update by autodist

* Fri Mar 22 2013 Automatic Build System <autodist@mambasoft.it> 20130321-1mamba
- automatic version update by autodist

* Wed Mar 13 2013 Automatic Build System <autodist@mambasoft.it> 20130312-1mamba
- automatic version update by autodist

* Thu Mar 07 2013 Automatic Build System <autodist@mambasoft.it> 20130306-1mamba
- automatic version update by autodist

* Sat Mar 02 2013 Automatic Build System <autodist@mambasoft.it> 20130301-1mamba
- automatic version update by autodist

* Mon Feb 11 2013 Automatic Build System <autodist@mambasoft.it> 20130206-1mamba
- automatic version update by autodist

* Wed Jan 23 2013 Automatic Build System <autodist@mambasoft.it> 20130122-1mamba
- automatic version update by autodist

* Sat Jan 19 2013 Automatic Build System <autodist@mambasoft.it> 20130118-1mamba
- automatic version update by autodist

* Mon Jan 14 2013 Automatic Build System <autodist@mambasoft.it> 20130113-1mamba
- automatic version update by autodist

* Fri Dec 28 2012 Automatic Build System <autodist@mambasoft.it> 20121227-1mamba
- automatic version update by autodist

* Wed Nov 28 2012 Automatic Build System <autodist@mambasoft.it> 20121127-1mamba
- automatic version update by autodist

* Sat Nov 24 2012 Automatic Build System <autodist@mambasoft.it> 20121123-1mamba
- automatic version update by autodist

* Sat Nov 17 2012 Automatic Build System <autodist@mambasoft.it> 20121116-1mamba
- automatic version update by autodist

* Tue Nov 13 2012 Automatic Build System <autodist@mambasoft.it> 20121112-1mamba
- automatic version update by autodist

* Fri Nov 09 2012 Automatic Build System <autodist@mambasoft.it> 20121108-1mamba
- automatic version update by autodist

* Mon Nov 05 2012 Automatic Build System <autodist@mambasoft.it> 20121104-1mamba
- automatic version update by autodist

* Wed Oct 31 2012 Automatic Build System <autodist@mambasoft.it> 20121030-1mamba
- automatic version update by autodist

* Sat Oct 27 2012 Automatic Build System <autodist@mambasoft.it> 20121026-1mamba
- automatic version update by autodist

* Tue Oct 23 2012 Automatic Build System <autodist@mambasoft.it> 20121022-1mamba
- automatic version update by autodist

* Fri Oct 19 2012 Automatic Build System <autodist@mambasoft.it> 20121018-1mamba
- automatic version update by autodist

* Mon Oct 15 2012 Automatic Build System <autodist@mambasoft.it> 20121014-1mamba
- automatic version update by autodist

* Fri Aug 31 2012 Automatic Build System <autodist@mambasoft.it> 20120830-1mamba
- automatic version update by autodist

* Mon Aug 27 2012 Automatic Build System <autodist@mambasoft.it> 20120826-1mamba
- automatic version update by autodist

* Thu Aug 23 2012 Automatic Build System <autodist@mambasoft.it> 20120822-1mamba
- automatic version update by autodist

* Sun Aug 19 2012 Automatic Build System <autodist@mambasoft.it> 20120818-1mamba
- automatic version update by autodist

* Tue Aug 14 2012 Automatic Build System <autodist@mambasoft.it> 20120813-1mamba
- automatic version update by autodist

* Thu Aug 09 2012 Automatic Build System <autodist@mambasoft.it> 20120808-1mamba
- automatic version update by autodist

* Sun Apr 01 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 20120401-1mamba
- update to 20120401

* Sat Oct 08 2011 Automatic Build System <autodist@mambasoft.it> 20111007-1mamba
- automatic version update by autodist

* Mon Oct 03 2011 Automatic Build System <autodist@mambasoft.it> 20111002-1mamba
- automatic version update by autodist

* Fri Jul 29 2011 Automatic Build System <autodist@mambasoft.it> 20110728-1mamba
- automatic update by autodist

* Mon Jul 25 2011 Automatic Build System <autodist@mambasoft.it> 20110724-1mamba
- automatic version update by autodist

* Sun Mar 27 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 20110326-1mamba
- update to 20110326

* Wed Mar 16 2011 Automatic Build System <autodist@mambasoft.it> 20110315-1mamba
- automatic update by autodist

* Thu Jun 10 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 20100125-2mamba
- rebuilt with ffmpeg 0.5.2

* Tue Jan 26 2010 Automatic Build System <autodist@mambasoft.it> 20100125-1mamba
- automatic update by autodist

* Mon Oct 26 2009 Automatic Build System <autodist@mambasoft.it> 20091025-1mamba
- automatic update by autodist

* Thu Oct 15 2009 Automatic Build System <autodist@mambasoft.it> 20091014-1mamba
- automatic update by autodist

* Tue Aug 25 2009 Automatic Build System <autodist@mambasoft.it> 20090824-1mamba
- automatic update by autodist

* Wed Aug 19 2009 Automatic Build System <autodist@mambasoft.it> 20090818-1mamba
- automatic update by autodist

* Tue Aug 11 2009 Automatic Build System <autodist@mambasoft.it> 20090811-1mamba
- automatic update by autodist

* Wed Aug 05 2009 Automatic Build System <autodist@mambasoft.it> 20090804-1mamba
- automatic update by autodist

* Wed Jul 29 2009 Automatic Build System <autodist@mambasoft.it> 20090728-1mamba
- automatic update by autodist

* Wed Jul 22 2009 Automatic Build System <autodist@mambasoft.it> 20090721-1mamba
- automatic update by autodist

* Fri Jul 10 2009 Automatic Build System <autodist@mambasoft.it> 20090709-1mamba
- automatic update by autodist

* Fri Jan 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 20090101-1mamba
- automatic update by autodist

* Fri Nov 14 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 20081113-1mamba
- update to 20081113

* Mon May 14 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 20070513-1mamba
- update to 20070513
- spec file fixed and updated
- added x264 package
- added missing build requirements

* Mon Jun 27 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> svn_20050620-2qilnx
- rebuild and moved to devel repository

* Sat Jun 25 2005 Matteo Bernasconi <voyagernm@virgilio.it> svn_20050620-1qilnx
- First Build